Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class DataType

    java.lang.Object
      com.mindbright.terminal.tandem6530.DataType

public class DataType
extends java.lang.Object

Field Summary
`static int` | `ALPHA`
`static int` | `ALPHA_NUM`
`static int` | `ALPHA_NUM_WITH_SPACE`
`static int` | `ALPHA_WITH_SPACE`
`protected byte[]` | `dataTypes`
`protected byte[]` | `defaultTable`
`static int` | `FREE`
`static int` | `FULL_NUM`
`static int` | `FULL_NUM_WITH_SPACE`
`static int` | `NUM`
`protected byte[]` | `table`
`static byte` | `TYPE_0`
`static byte` | `TYPE_1`
`static byte` | `TYPE_2`
`static byte` | `TYPE_3`
`static byte` | `TYPE_4`
`static byte` | `TYPE_5`
`static byte` | `TYPE_6`
`static byte` | `TYPE_7`

Constructor Summary
`DataType()`

Method Summary
`protected boolean` | `isInsideTable(char c)`
`boolean` | `isOK(char c, int dataType)`
`void` | `reset()`
`void` | `set(int offset, byte[] entries)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREE

    public static final int FREE

See Also:
  Constant Field Values

### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

### NUM

    public static final int NUM

See Also:
  Constant Field Values

### ALPHA_NUM

    public static final int ALPHA_NUM

See Also:
  Constant Field Values

### FULL_NUM

    public static final int FULL_NUM

See Also:
  Constant Field Values

### FULL_NUM_WITH_SPACE

    public static final int FULL_NUM_WITH_SPACE

See Also:
  Constant Field Values

### ALPHA_WITH_SPACE

    public static final int ALPHA_WITH_SPACE

See Also:
  Constant Field Values

### ALPHA_NUM_WITH_SPACE

    public static final int ALPHA_NUM_WITH_SPACE

See Also:
  Constant Field Values

### TYPE_0

    public static final byte TYPE_0

See Also:
  Constant Field Values

### TYPE_1

    public static final byte TYPE_1

See Also:
  Constant Field Values

### TYPE_2

    public static final byte TYPE_2

See Also:
  Constant Field Values

### TYPE_3

    public static final byte TYPE_3

See Also:
  Constant Field Values

### TYPE_4

    public static final byte TYPE_4

See Also:
  Constant Field Values

### TYPE_5

    public static final byte TYPE_5

See Also:
  Constant Field Values

### TYPE_6

    public static final byte TYPE_6

See Also:
  Constant Field Values

### TYPE_7

    public static final byte TYPE_7

See Also:
  Constant Field Values

### dataTypes

    protected byte[] dataTypes

### table

    protected byte[] table

### defaultTable

    protected byte[] defaultTable

Constructor Detail

### DataType

    public DataType()

Method Detail

### reset

    public void reset()

### isInsideTable

    protected boolean isInsideTable(char c)

### set

    public void set(int offset,
                    byte[] entries)

### isOK

    public boolean isOK(char c,
                        int dataType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD